Tags
List Tags
Returns all tags in your library.
GET
/
v1
/
tags
curl https://api.getmatter.com/public/v1/tags \
-H "Authorization: Bearer mat_your_token_here"
response = requests.get(
"https://api.getmatter.com/public/v1/tags",
headers={"Authorization": f"Bearer {token}"}
)
tags = response.json()
{
"object": "list",
"results": [
{
"object": "tag",
"id": "tag_n5j2x",
"name": "essays",
"item_count": 42,
"created_at": "2025-01-15T10:00:00Z"
},
{
"object": "tag",
"id": "tag_k3m9p",
"name": "tech",
"item_count": 87,
"created_at": "2025-02-20T14:30:00Z"
}
],
"has_more": false,
"next_cursor": null
}
Query Parameters
integer
default:25
Number of tags per page. Min 1, max 100.
string
Cursor for the next page of results.
Response
string
required
Always
"list".array
required
boolean
required
Whether there are more results.
string
Cursor for the next page.
curl https://api.getmatter.com/public/v1/tags \
-H "Authorization: Bearer mat_your_token_here"
response = requests.get(
"https://api.getmatter.com/public/v1/tags",
headers={"Authorization": f"Bearer {token}"}
)
tags = response.json()
{
"object": "list",
"results": [
{
"object": "tag",
"id": "tag_n5j2x",
"name": "essays",
"item_count": 42,
"created_at": "2025-01-15T10:00:00Z"
},
{
"object": "tag",
"id": "tag_k3m9p",
"name": "tech",
"item_count": 87,
"created_at": "2025-02-20T14:30:00Z"
}
],
"has_more": false,
"next_cursor": null
}
⌘I
curl https://api.getmatter.com/public/v1/tags \
-H "Authorization: Bearer mat_your_token_here"
response = requests.get(
"https://api.getmatter.com/public/v1/tags",
headers={"Authorization": f"Bearer {token}"}
)
tags = response.json()
{
"object": "list",
"results": [
{
"object": "tag",
"id": "tag_n5j2x",
"name": "essays",
"item_count": 42,
"created_at": "2025-01-15T10:00:00Z"
},
{
"object": "tag",
"id": "tag_k3m9p",
"name": "tech",
"item_count": 87,
"created_at": "2025-02-20T14:30:00Z"
}
],
"has_more": false,
"next_cursor": null
}